using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using fatd_faturamento.DAL.Persistencia;
using fatd_faturamento.ENTIDADE;
using fatd_faturamento.BLL.RegraNegocio;

namespace fatd_faturamento.BLL.Repositorio
{
    public class repositorioTempFatura
    {

        public void Insert(entidadeTempFatura objTempFatura)
        {
            dalTempFatura dalTempFatura = null;

            try
            {
                dalTempFatura = new dalTempFatura();

                dalTempFatura.Insert(objTempFatura);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update(entidadeTempFatura objTempFatura)
        {
            dalTempFatura dalTempFatura = null;

            try
            {
                dalTempFatura = new dalTempFatura();

                dalTempFatura.Update(objTempFatura);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update_1(entidadeTempFatura objTempFatura)
        {
            dalTempFatura dalTempFatura = null;

            try
            {
                dalTempFatura = new dalTempFatura();

                dalTempFatura.Update_1(objTempFatura);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Update_2(entidadeTempFatura objTempFatura)
        {
            dalTempFatura dalTempFatura = null;

            try
            {
                dalTempFatura = new dalTempFatura();

                dalTempFatura.Update_2(objTempFatura);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public void Delete(entidadeTempFatura objTempFatura)
        {
            dalTempFatura dalTempFatura = null;

            try
            {
                dalTempFatura = new dalTempFatura();

                dalTempFatura.Delete(objTempFatura);
            }
            catch (Exception)
            {
                throw;
            }
        }

        public DataTable Select(entidadeTempFatura objTempFatura)
        {
            dalTempFatura dalTempFatura = null;
            DataTable dt = null;

            try
            {
                dalTempFatura = new dalTempFatura();
                dt = dalTempFatura.Select(objTempFatura);

                return dt;
            }
            catch (Exception)
            {
                throw;
            }
        }

        public DataTable SelectOthersTables(entidadeTempFatura objTempFatura)
        {
            dalTempFatura dalTempFatura = null;
            DataTable dt = null;

            try
            {
                dalTempFatura = new dalTempFatura();
                dt = dalTempFatura.SelectOthersTables(objTempFatura);

                return dt;
            }
            catch (Exception)
            {
                throw;
            }
        }

    }
}
